import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { SensorStoreModule } from './sensor-store.module';
import { TreeModule } from 'angular-tree-component';
import { MetaCrawlerModule } from '../meta/crawler/crawler.module';
import { MetaSensorDisplayItemModule } from '../meta/sensor-display-item/sensor-display-item.module';
// import { SensorItemModule } from '../sensor-item/sensor-item.module';
// import { MetaCrawlerInputItemModule } from '../meta/crawler-input-item/crawler-input.module';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        SensorStoreModule,
        TreeModule,
        MetaCrawlerModule,
        MetaSensorDisplayItemModule,
        // SensorItemModule
    ],
    declarations: [
        COMPONENTS,
    ],
    exports: [
        COMPONENTS,
    ],
    providers: [
        SERVICES,
    ]
})
export class SensorModule { }

